* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html,
body {
    overflow-x: hidden;
}

:root {
    --titulos: #ffffffe6;
    --subtitulosA: #000000d1;
    --subtitulosB: #ffffffe0;
}

@font-face {
    font-family: 'Clash Display';
    src: url('ClashDisplay_Complete/ClashDisplay_Complete/Fonts/TTF/ClashDisplay-Variable.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Clash Display';
    src: url('ClashDisplay_Complete/ClashDisplay_Complete/Fonts/TTF/ClashDisplay-Variable.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

h1,
h2,
button {
    font-family: 'Clash Display', sans-serif;
}

nav {
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: inset 1px 1px 2px -1px rgba(255, 255, 255, 0.32);
    background-image: linear-gradient(160deg, rgba(0, 0, 0, 0.417), rgba(255, 255, 255, 0.168));
}

.input {
    font-size: 15px;
    border: none;
    color: #fff;
    outline: none;
    transition: all ease 0.3s;
    background-color: #191A1E;
    box-shadow: 1.5px 1.5px 3px #0e0e0e, -1.5px -1.5px 3px rgb(95 94 94 / 25%), inset 0px 0px 0px #0e0e0e, inset 0px -0px 0px #5f5e5e;
    border-radius: 50px;
    cursor: pointer;
}

.input:focus,
.input:not(:invalid) {
    width: 200px;
    cursor: text;
    box-shadow: 0px 0px 0px #0e0e0e, 0px 0px 0px rgb(95 94 94 / 25%), inset 1.5px 1.5px 3px #0e0e0e, inset -1.5px -1.5px 3px #5f5e5e;
}

.input:focus+.icon,
.input:not(:invalid)+.icon {
    pointer-events: all;
    cursor: pointer;
}

.container .icon {
    position: absolute;
    top: 0;
    left: 0;
    padding: 8px;
    pointer-events: none;
}

.container .icon svg {
    width: 100%;
    height: 100%;
}

li {
    transition: all 0.3s;
}

.card,
.card-descubra {
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out, background-color 0.3s ease-in-out;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-descubra-M {
    transition: box-shadow 0.3s ease-in-out, background-color 0.3s ease-in-out, transform .3s ease;
    flex: 1;
    display: flex;
}

.card-descubra-M:hover {
    transform: scale(1.03) !important;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.card-descubra-M,
.card-descubra {
    background-image: linear-gradient(160deg, rgba(183, 183, 183, 0.48), rgba(0, 0, 0, 0.671));
}

.card-descubra img, .card-descubra-M img{
    transition: transform .3s ease-in-out;
}

.card-descubra img:hover,
.card-descubra-M img:hover{
    transform: scale(1.02);
}

.card img {
    transition: transform 0.3s ease-in-out;
    margin: 0 auto;
}

.card img:hover {
    transform: scale(1.05);
}

.card:hover,
.card-descubra:hover {
    transform: scale(1.05) !important;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.button {
    min-width: 120px;

    position: relative;
    cursor: pointer;

    display: block;
    margin: 0 auto;
    margin-top: 1.25rem;

    padding: 12px 17px;
    border: 0;
    border-radius: 7px;

    box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.1);
    background: radial-gradient(ellipse at bottom,
            rgba(71, 81, 92, 1) 0%,
            rgba(11, 21, 30, 1) 45%);

    color: rgb(255, 255, 255, 0.66);

    transition: color 1s cubic-bezier(0.15, 0.83, 0.66, 1), transform 0.3s cubic-bezier(0.15, 0.83, 0.66, 1);
}

.button::before {
    content: "";
    width: 70%;
    height: 1px;

    position: absolute;
    bottom: 0;
    left: 15%;

    background: rgb(255, 255, 255);
    background: linear-gradient(90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 1) 50%,
            rgba(255, 255, 255, 0) 100%);
    opacity: 0.2;

    transition: color 1s cubic-bezier(0.15, 0.83, 0.66, 1), opacity 0.3s cubic-bezier(0.15, 0.83, 0.66, 1);
}

.button:hover {
    color: rgb(255, 255, 255, 1);
    transform: scale(1.1) translateY(-3px);
}

.button:hover::before {
    opacity: 1;
}

.animate-header {
    opacity: 0;
    transform: translateY(-20px);
}

.animate-nav-item {
    opacity: 0;
    transform: translateY(10px);
}

.animate-search {
    opacity: 0;
    transform: scale(0.8);
}

.animate-cart {
    opacity: 0;
    transform: translateX(20px);
}

.animate-hero {
    opacity: 0;
    transform: scale(1.1);
}

.animate-title {
    opacity: 0;
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
}